# webserver_002.py
#
# V.0.0.1
# 07.12.2023
# Peter Stöck
#
# Hier werden die verschiedenen Returnmethoden getestet.



from phew import server, connect_to_wifi
from phew.template import render_template


# Konstanten und Variablen
HTDOCS = 'htdocs/'
ip_adresse = None

SSID = 'Attraktor'
PW = 'blafablafa'

# Wlan Verbindung herstellen


ip_adresse = connect_to_wifi(SSID, PW)
print(ip_adresse)


# Webseiten erstellen

@server.route("/string1", methods=["GET"])
def string1(request):
    return str(42) + ' ist string1'

@server.route("/string2", methods=["GET"])
def string2(request):
    return '''<h1>Infoseite vom Raspberry Pi Pico W</h1><br>
            Dieses ist string2'''

@server.route("/string3", methods=["GET"])
def string3(request):
    return render_template(HTDOCS + "html-test_002.html")

@server.route("/var", methods=["GET"])
def var(request):
    content = 'Hallo, ich komme aus einer Variablen'
    return content

@server.route("/hallo/<name>", methods=["GET"])
def hallo(request, name):
    return f"Hallo {name}!"


@server.route("/info", methods=["GET"])
def string3(request):
    content = '''
                 <h1>Infoseite vom phew-Server</h1>
                 Folgende Seiten sind abrufbar:<br>
                 /string1<br>
                 /string2<br>
                 /string3<br>
                 /var<br>
                 /hallo/Hier Name eingeben<br>
                 /info - diese Seite<br>
              '''
    return content

@server.catchall()
def catch_all(request):
    return "<h1>Hallo, diese Webseite gibt es nicht!</h1><br>Sie steht f&#252;r catch_all.", 404

# Server starten - nun geht nichte anderes mehr:(

server.run()
